package com.restphone

import org.scalatest.Spec
import org.scalatest.matchers.ShouldMatchers

class ExampleSpec extends Spec with ShouldMatchers {
  import TestData._
  describe("XML Import") {
    it("should produce the right value for a simple type") {
      val c1 = Claim(claimNodeWithSortDirection)
      assert(c1.sortDirection === Some(SortDirection.Ascending))

      val c2 = Claim(claimNodeWithoutSortDirection)
      assert(Claim(hitType = "claimtype", body = "bdy") == c2)
      assert(c2.body === "bdy")
    }

    it("should return the right result for") {
      val sampleDataForGetAssignmentsForHITResult =
        <GetAssignmentsForHITResult>
          <Request>
            <IsValid>True</IsValid>
          </Request>
          <NumResults>1</NumResults>
          <TotalNumResults>1</TotalNumResults>
          <PageNumber>1</PageNumber>
          <Assignment>
            <AssignmentId>GYFTRHZ5J3DZREY48WNZE38ZR9RR1ZPMXGWE7WE0</AssignmentId>
            <WorkerId>AD20WXZZP9XXK</WorkerId>
            <HITId>GYFTRHZ5J3DZREY48WNZ</HITId>
            <AssignmentStatus>Approved</AssignmentStatus>
            <AutoApprovalTime>2009-08-12T19:21:54Z</AutoApprovalTime>
            <AcceptTime>2009-07-13T19:21:40Z</AcceptTime>
            <SubmitTime>2009-07-13T19:21:54Z</SubmitTime>
            <ApprovalTime>2009-07-13T19:27:54Z</ApprovalTime>
            <Answer>
              <?xml version="1.0" encoding="UTF-8"?>
              <QuestionFormAnswers xmlns="http://mechanicalturk.amazonaws.com/AWSMech
anicalTurkDataSchemas/2005-10-01/QuestionFormAnswers.xsd">
                <Answer>
                  <QuestionIdentifier>Question100</QuestionIdentifier>
                  <FreeText>Move to X.</FreeText>
                </Answer>
              </QuestionFormAnswers>
            </Answer>
          </Assignment>
        </GetAssignmentsForHITResult>
    }
  }
}

object TestData {
  val claimNodeWithSortDirection =
    <Claim>
      <Type>claimtype</Type>
      <Body>bdy</Body>
      <SortDirection>Ascending</SortDirection>
    </Claim>
  val claimNodeWithoutSortDirection =
    <Claim>
      <Type>claimtype</Type>
      <Body>bdy</Body>
    </Claim>
}